Bug 798810 - Deltacloud fails to start on F16
Deltacloud fails to start on F16
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: deltacloud-core (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Fojtik
Ronelle Landy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 17:41 EST by Matt Wagner
Modified: 2014-08-17 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:14:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Wagner 2012-02-29 17:41:49 EST
Description of problem:
On a fresh Fedora 16 install, with deltacloud-core from the Fedora repos, I am unable to start Deltacloud. "service deltacloud-core start" returns success immediately, but "service deltacloud-core status" shows it as "active (exited)".

/var/log/deltacloud-core/mock.log shows the following:

>> Writing PID to /var/run/deltacloud-core-mock.pid
>> Changing process privilege to nobody:nobody
>> Exiting!
/usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:158:in `delete': Permission denied - /var/run/deltacloud-core-mock.pid (Errno::EACCES)
        from /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:158:in `remove_pid_file'
        from /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/daemonizing.rb:59:in `daemonize'
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/mock_driver.rb:97:in `initialize': Please set either the DELTACLOUD_MOCK_STORAGE or USER environment variable (RuntimeError)
        from /usr/share/deltacloud-core/lib/deltacloud/drivers.rb:69:in `new'
        from /usr/share/deltacloud-core/lib/deltacloud/drivers.rb:69:in `driver'
        from /usr/share/deltacloud-core/lib/deltacloud/server.rb:59
        from /usr/lib/ruby/gems/1.8/gems/sinatra-1.2.6/lib/sinatra/base.rb:1211:in `configure'
        from (__DELEGATE__):3:in `send'
        from (__DELEGATE__):3:in `configure'
        from /usr/share/deltacloud-core/lib/deltacloud/server.rb:48
        from /usr/share/deltacloud-core/config.ru:25:in `load'
        from /usr/share/deltacloud-core/config.ru:25
        from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `instance_eval'
        from /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/builder.rb:51:in `initialize'
        from /usr/share/deltacloud-core/config.ru:1:in `new'
        from /usr/share/deltacloud-core/config.ru:1




Version-Release number of selected component (if applicable):
deltacloud-core-vsphere-0.5.0-1.fc16.noarch
deltacloud-core-0.5.0-1.fc16.noarch
deltacloud-core-ec2-0.5.0-1.fc16.noarch
rubygem-deltacloud-client-0.5.0-1.fc16.noarch
deltacloud-core-rhevm-0.5.0-1.fc16.noarch



Steps to Reproduce:
1. Fresh F16 setup
2. yum install aeolus-all # probably more than is needed
3. service deltacloud-core status # and so on


Actual results:
deltacloud-core fails to start.


Expected results:
deltacloud-core starts properly


Additional info:
I hit this while testing something a while back but failed to track it then, so this isn't a brand-new issue.
Comment 1 Matt Wagner 2012-02-29 17:57:45 EST
This is fixed in the Aeolus testing repo (deltacloud-core-0.5.0-4.rc1.fc16.noarch) from http://repos.fedorapeople.org/repos/aeolus/conductor/testing/fedora-16/x86_64/ 

It's just the version in F16 itself that doesn't work. If we can get the version we're carrying in aeolus-testing into fedora-updates, I think this would be fixed.
Comment 2 Hugh Brock 2012-03-07 13:13:57 EST
This is not a product bug, removing cloudforms-1.0.0 flag.
Comment 3 Michal Fojtik 2012-03-07 16:25:58 EST
I pushed update for F16:

https://admin.fedoraproject.org/updates/deltacloud-core-0.5.0-2.fc16

This update should fix this issue. Please let me know if you experience any other issues with init scripts.

Note You need to log in before you can comment on or make changes to this bug.